%global dlrn_nvr 15.5.0-2.20211125004854.337022a
%global dlrn 1
%define upstream_version 15.5.0
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-keystone
Version: 15.5.0
Release: 2.20211125004854.337022a%{?dist}
Summary:        Puppet module for OpenStack Keystone
License:        ASL 2.0

URL:            https://launchpad.net/puppet-keystone

Source0: 15.5.0-2.20211125004854.337022a.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=337022a86cc6b4369ad85f99736005e7c0c81cca

BuildArch:      noarch

Requires:       puppet-apache
Requires:       puppet-inifile
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Keystone

%prep
%setup -q -n openstack-keystone-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/keystone/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/keystone/



%files
%{_datadir}/openstack-puppet/modules/keystone/


%changelog
* Wed Nov 24 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20211125004854.337022a
- Update patches
- OIDC: Add support for setting OIDCResponseMode
- Add oidc options

* Tue Nov 23 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20211124005000.063d524
- Update patches
- Unset memcached_servers by default

* Fri Sep 10 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20210911005831.5ceb1cd
- Update patches
- [Train only] Run TripleO jobs on CentOS8 instead of CentOS7

* Fri Sep 03 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20210904005959.d866934
- Update patches
- TripleO: Reduce tempest test scope

* Thu Jun 17 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20210617232833.1dc5b6e
- Update patches

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20210601001735.1dc5b6e
- Update patches
- Prepare the final stable/train release

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20210528133136.37fd0cd
- Update patches

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.1-2.20210513020911.37fd0cd
- Update patches
- Check length of unique array in roles::admin

* Mon Mar 22 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Add TLS options to oslo.cache

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Build containers for single consumer job

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Make service desc in keystone::endpoint configurable

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Fix python package names (ldappool and pysaml2)
- Convert more to rspec-puppet-facts

* Fri Aug 14 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- allow to specify drivername for postgres db

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Revert "Do not set public_bind_host and public_port in eventlet section"

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Always pass --name when flushing keystone_service

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Update doc to reflect code

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Install the correct memcache bindings for py3

* Sat Mar 21 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Update ldap-backend options

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- OIDC : Add support for setting OIDCClaimDelimiter
- Add support for JWKS based OAuth Token validation.

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Fix performance regression due to reduced number of keystone workers

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- New keystone::resource::authtoken::interface parameter

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Switch to Train

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Fri Oct 04 2019 RDO <dev@lists.rdoproject.org> 15.4.0-1
- Update to 15.4.0

#(trown) empty commit to use:
# https://github.com/redhat-openstack/rdoinfo/commit/28ee76369bf9bd357a5e2409b588856513cbe83d
# This should be removed on the next commit to puppet-keystone-distgit



